package com.salpa.subject.mapper;

import com.salpa.subject.domain.MonitorDocumentDiscussion;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface DocumentDiscussionMapper {

    List<Map<String,Object>> countDiscussionByTableName(@Param("projectId") Integer projectId, @Param("name") String name);

    List<Map<String,Object>> discussionByProjectId(Integer projectId);

    int add(MonitorDocumentDiscussion monitorDocumentDiscussion);

    List<MonitorDocumentDiscussion> getList(MonitorDocumentDiscussion monitorDocumentDiscussion);

    int deleteComment(Integer id);
}
